|  | Home | Documentation | uddi2__get_USCOREregisteredInfo Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__get_USCOREregisteredInfo Class Reference

Schema urn:uddi-org:api_v2:"get_registeredInfo". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__get_USCOREregisteredInfo (struct soap *)
| Member declared in uddi2-typemap.dat. More...
uddi2__registeredInfo * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"get_registeredInfo".

Represents a request to get all registered business entities and tModels controlled by an individual.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137741

## Constructor & Destructor Documentation

uddi2__get_USCOREregisteredInfo::uddi2__get_USCOREregisteredInfo | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the get_USCOREregisteredInfo class.

## Member Function Documentation

uddi2__registeredInfo * uddi2__get_USCOREregisteredInfo::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__registeredInfo object or NULL on error

Send a request to a UDDI service to get all registered business entities and tModels controlled by an individual.

## Member Data Documentation

char* uddi2__get_USCOREregisteredInfo::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

char* uddi2__get_USCOREregisteredInfo::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__get_USCOREregisteredInfo::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h